From 15017c9dedc4913de3778ea085fc84bb47c5894b Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 10 2017 18:12:49 +0000
Subject: [PATCH 792/1001] Add the chat configuration parameters


---

diff --git a/hubs/migrations/versions/6d4862ec4f93_hub_config_chat.py b/hubs/migrations/versions/6d4862ec4f93_hub_config_chat.py
new file mode 100644
index 0000000..c11bbb5
--- /dev/null
+++ b/hubs/migrations/versions/6d4862ec4f93_hub_config_chat.py
@@ -0,0 +1,48 @@
+# This Alembic database migration is part of the Fedora Hubs project.
+# Copyright (C) 2017  The Fedora Project
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+"""
+Hub configuration for the chat channel.
+
+Revision ID: 6d4862ec4f93
+Revises: 1d660b32b83a
+Create Date: 2017-03-09 16:42:10.556935
+"""
+
+from __future__ import absolute_import, unicode_literals
+
+from alembic import op
+import sqlalchemy as sa
+
+
+# revision identifiers, used by Alembic.
+revision = '6d4862ec4f93'
+down_revision = '1d660b32b83a'
+branch_labels = None
+depends_on = None
+
+
+def upgrade():
+    op.add_column('hubs_config', sa.Column(
+        'chat_channel', sa.String(length=256), nullable=True))
+    op.add_column('hubs_config', sa.Column(
+        'chat_domain', sa.String(length=256), nullable=True))
+
+
+def downgrade():
+    # http://alembic.zzzcomputing.com/en/latest/batch.html
+    with op.batch_alter_table("hubs_config") as batch_op:
+        batch_op.drop_column('chat_domain')
+        batch_op.drop_column('chat_channel')
diff --git a/hubs/models.py b/hubs/models.py
index ed67911..d833ab0 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -304,12 +304,16 @@ class HubConfig(BASE):
     # A URL to the "avatar" for this hub.
     avatar = sa.Column(sa.String(256), default=placekitten)
     header_img = sa.Column(sa.String(256), default=randomheader)
+    chat_channel = sa.Column(sa.String(256), nullable=True)
+    chat_domain = sa.Column(sa.String(256), nullable=True)
 
     def __json__(self):
         return {
             'summary': self.summary,
             'left_width': self.left_width,
             'avatar': self.avatar,
+            'chat_channel': self.chat_channel,
+            'chat_domain': self.chat_domain,
         }
 
 
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index 340f685..2daa6e9 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -74,6 +74,8 @@ class HubsAPITest(hubs.tests.APPTest):
                 "avatar": "https://seccdn.libravatar.org/avatar/"
                           "9c9f7784935381befc302fe3c814f9136e7a339"
                           "53d0318761669b8643f4df55c?s=312&d=retro",
+                'chat_channel': None,
+                'chat_domain': None,
                 "left_width": 8,
                 "summary": "Ralph",
             },

